Skip to main content

Get a vehicle type by ID

GET 

/v1/vehicle-types/:id

Retrieves detailed configuration of a specific vehicle type including all settings, zones, and rates

Request

Path Parameters

    id stringrequired

    Vehicle Type ID

Responses

Vehicle type found

Schema
    _id stringrequired

    The ID of the vehicle type

    name stringrequired

    The name of the vehicle type

    iconOnMap stringrequired

    The icon on map of the vehicle type

    iconOnApp stringrequired

    The icon on app of the vehicle type

    iconOnWeb stringrequired

    The icon on web of the vehicle type

    passengers numberrequired

    The passengers of the vehicle type

    luggage numberrequired

    The luggage of the vehicle type

    description stringrequired

    The description of the vehicle type

    createdDate date-timerequired

    The created date of the vehicle type

    latestUpdate date-timerequired

    The latest update date of the vehicle type

Loading...